Bug 204748 - [patch] Don't (try to) build otusfw if the user objects to binary blobs
Summary: [patch] Don't (try to) build otusfw if the user objects to binary blobs
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: Ed Maste
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-11-22 16:16 UTC by Fabian Keil
Modified: 2016-08-01 15:54 UTC (History)
1 user (show)

See Also:
emaste: mfc-stable9-
emaste: mfc-stable10-
emaste: mfc-stable11?


Attachments
sys/modules: Don't (try to) build otusfw if the user objects to binary blobs (844 bytes, patch)
2015-11-22 16:16 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2015-11-22 16:16:57 UTC
Created attachment 163433 [details]
sys/modules: Don't (try to) build otusfw if the user objects to binary blobs

The otusfw module contains source-less and non-free microcode
but is built and installed even if WITHOUT_SOURCELESS_UCODE is set.

The attached patch fixes this.

Obtained from: ElectroBSD
Comment 1 commit-hook freebsd_committer 2016-07-25 00:50:17 UTC
A commit references this bug:

Author: emaste
Date: Mon Jul 25 00:49:27 UTC 2016
New revision: 303282
URL: https://svnweb.freebsd.org/changeset/base/303282

Log:
  avoid building otusfw when WITHOUT_SOURCELESS_UCODE set

  PR:		204748
  Submitted by:	Fabian Keil
  Obtained from:	ElectroBSD
  MFC after:	1 week

Changes:
  head/sys/modules/Makefile
Comment 2 Ed Maste freebsd_committer 2016-08-01 15:44:45 UTC
MFC to stable/11 requested; otusfw not in stable/10 or stable/9
Comment 3 commit-hook freebsd_committer 2016-08-01 15:50:08 UTC
A commit references this bug:

Author: emaste
Date: Mon Aug  1 15:49:51 UTC 2016
New revision: 303616
URL: https://svnweb.freebsd.org/changeset/base/303616

Log:
  MFC r303282: avoid building otusfw when WITHOUT_SOURCELESS_UCODE set

  PR:		204748
  Approved by:	re (kib)

Changes:
_U  stable/11/
  stable/11/sys/modules/Makefile
Comment 4 Ed Maste freebsd_committer 2016-08-01 15:54:19 UTC
Merged to stable/11 in advance of 11.0. Thank you for the submission!